Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionAccountLogDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionAccountLogDao

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `VoiceSessionAccountDao`

public class VoiceSessionAccountLogDao extends ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_VOICE_SESSION_ACCOUNT_LOG`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `VoiceSessionAccountLogDao(Connection con, int moduleId, Date date)`
  `protected`
  `VoiceSessionAccountLogDao(Connection con, String tableName, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkTables(Connection con, int moduleId, Date date)`
  `void`
  `deleteAccounts(int divizer, int remainder, Date hour, int deviceId)`
  `void`
  `deleteAccounts(List<VoiceSession> list)`
  `protected VoiceSessionAccount`
  `getFromRS(ResultSet rs)`
  `void`
  `insertAccount(List<VoiceSessionAccount> accounts)`
  `List<VoiceSessionAccount>`
  `list(int sessionId)`
  Получение наработки сессии по ее коду с разбивкой по услугам
  `void`
  `updateAccount(List<VoiceSessionAccount> accounts)`
  `void`
  `updateAccountInternal(List<VoiceSessionAccount> accounts, boolean replace)`
  `protected void`
  `updateImpl(VoiceSessionAccount account)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_VOICE_SESSION_ACCOUNT_LOG

    public static final String TABLE_VOICE_SESSION_ACCOUNT_LOG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceSessionAccountLogDao

    public VoiceSessionAccountLogDao(Connection con, int moduleId, Date date)

  - ### VoiceSessionAccountLogDao

    protected VoiceSessionAccountLogDao(Connection con, String tableName, int moduleId)

- ## Method Details

  - ### list

    public List<VoiceSessionAccount> list(int sessionId) throws ru.bitel.bgbilling.common.BGException
    Получение наработки сессии по ее коду с разбивкой по услугам
    Parameters:
      `sessionId` - код сессии
    Returns:
      список наработок сессии
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected VoiceSessionAccount getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(VoiceSessionAccount account) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### checkTables

    public static void checkTables(Connection con, int moduleId, Date date) throws SQLException
    Throws:
      `SQLException`

  - ### insertAccount

    public void insertAccount(List<VoiceSessionAccount> accounts) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccount

    public void updateAccount(List<VoiceSessionAccount> accounts) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccountInternal

    public void updateAccountInternal(List<VoiceSessionAccount> accounts, boolean replace) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAccounts

    public void deleteAccounts(int divizer, int remainder, Date hour, int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAccounts

    public void deleteAccounts(List<VoiceSession> list) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`